/**
 * <h1>Kart 2016</h1>
 *
 * <p>HES-SO Valais // Wallis summer school project.</p>
 *
 * <p>This package contains the base class for any kart remote control activity (RCA) and the
 * kart selection user interface implementation.</p>
 *
 * <p>If you like to add a new kart remote control activity, the simplest way is to derive your
 * class from {@link ch.hevs.kart.ui.AbstractKartControlActivity}. This class does automatically
 * handles the kart connectivity and other heavy lifting for you and allows you to concentrate on
 * your tasks.</p>
 *
 * <p>You can communicate with the kart using the {@link ch.hevs.kart.Kart} instance which you can
 * get from the field {@link ch.hevs.kart.ui.AbstractKartControlActivity#kart}.</p>
 *
 * <p>In order to make your activity available to the user, you need to modify the
 * <b>AndroidManifest.xml</b> file and add your activity there with the intend filter
 * <b>ch.hevs.kart.RCA</b>. An example activity has already been added, so it should be quite
 * simple to add another one.</p>
 *
 * <p>The activity to scan for connectible karts is automatically configured to be added to the
 * launch screen, so basically the kart application always starts using the scan activity and once
 * a kart has been selected, the scan activity will change to a or your remote control activity.</p>
 *
 * @author Nils Chatton
 * @author Christopher Metrailler (mei@hevs.ch)
 * @author Michael Clausen (clm@hevs.ch)
 * @author Pierre Roduit (roi@hevs.ch)
 * @version 2.2 - 2016
 */
package ch.hevs.kart.ui;
